# MS_HSequenceOfGenClass.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_MS_HSequenceOfGenClass.hxx>`
`#include <MS_SequenceOfGenClass.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_MS_GenClass.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_MS_GenClass
#define | Item_hxx <MS_GenClass.hxx>
#define | TheSequence MS_SequenceOfGenClass
#define | TheSequence_hxx <MS_SequenceOfGenClass.hxx>
#define | TCollection_HSequence MS_HSequenceOfGenClass
#define | TCollection_HSequence_hxx <MS_HSequenceOfGenClass.hxx>
#define | Handle_TCollection_HSequence Handle_MS_HSequenceOfGenClass
#define | TCollection_HSequence_Type_() MS_HSequenceOfGenClass_Type_()

## Functions

Handle_MS_HSequenceOfGenClass | ShallowCopy (const Handle_MS_HSequenceOfGenClass &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_MS_HSequenceOfGenClass

#define Item Handle_MS_GenClass

#define Item_hxx <MS_GenClass.hxx>

#define TCollection_HSequence MS_HSequenceOfGenClass

#define TCollection_HSequence_hxx <MS_HSequenceOfGenClass.hxx>

#define TCollection_HSequence_Type_ | (

)

MS_HSequenceOfGenClass_Type_()

#define TheSequence MS_SequenceOfGenClass

#define TheSequence_hxx <MS_SequenceOfGenClass.hxx>

## Function Documentation

Handle_MS_HSequenceOfGenClass ShallowCopy | ( | const Handle_MS_HSequenceOfGenClass & | me | ) | `[inline]`